
function Skinner:Chinchilla()

	-- skin the coordinates frame if it exists
	if Chinchilla_Coordinates_Frame then self:applySkin(Chinchilla_Coordinates_Frame) end
	-- hook the OnEnable method
	if Chinchilla:HasModule("Coordinates") then
		self:SecureHook(Chinchilla:GetModule("Coordinates"), "OnEnable", function()
			self:applySkin(Chinchilla_Coordinates_Frame)
			end)
		end
	
	-- skin the location frame if it exists
	if Chinchilla_Location_Frame then self:applySkin(Chinchilla_Location_Frame) end
	-- hook the OnEnable method
	if Chinchilla:HasModule("Location") then
		self:SecureHook(Chinchilla:GetModule("Location"), "OnEnable", function()
			self:applySkin(Chinchilla_Location_Frame)
			end)
		end
	
	-- skin the Minimap if it's square
	if Chinchilla:HasModule("Appearance") then
		if Chinchilla:GetDatabaseNamespace("Appearance").profile.shape == "SQUARE" then
			Chinchilla_Appearance_MinimapCorner1:Hide()
			Chinchilla_Appearance_MinimapCorner2:Hide()
			Chinchilla_Appearance_MinimapCorner3:Hide()
			Chinchilla_Appearance_MinimapCorner4:Hide()
			self:addSkinButton(Minimap, Minimap)
			self:moveObject(MinimapNorthTag, nil, nil, "+", 4)
			self.minimapskin = Minimap.sBut
			if not self.db.profile.MinimapGloss then LowerFrameLevel(self.minimapskin) end
		end
	end		

end
